Skip to content

Msp setting ​

20 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getMspMailServerStatusGlobalGETGet MSP mailServer status
getMspDstInfoGETGet msp DST
getGeneralSettingGETGet msp general setting
modifyGeneralSettingPATCHModify msp general setting
disableMspControllerUpgradeNotificationPOSTTurn off the software update push switch in MSP mode
getPrivacyPolicyMspGETGet msp privacy policy
getRemoteLoggingSetting_1GETGet msp remote logging setting
modifyRemoteLoggingSettingPATCHModify msp remote logging setting
getMspMailServerGETGet MSP mail server
modifyMspMailServerPATCHModify MSP mail server
sendTestMailForMspV2POSTSend test mail for MSP
getMspUserInterfaceGETGet msp user interface
modifyMspUserInterfacePATCHModify msp user interface
uploadCertificatePOSTUpload msp certificate
deleteCertificateDELETEDelete an existing msp certificate
uploadSSLKeyPOSTUpload msp SSL key
deleteSSLKeyDELETEDelete an existing msp SSL key
getUiInterface_1GETGet msp ui interface (deprecated)
modifyUiInterface_1PATCHModify msp ui interface (deprecated)
evaluateMspFeedbackPOSTEvaluate MSP feedback

getMspMailServerStatusGlobal ​

GET /openapi/v1/msp/{mspId}/account/mail-status

Get MSP mailServer status

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getMspMailServerStatusGlobal"
}
Details, permissions and error codes

Get MSP mailServer status
The interface requires one of the permissions:
MSP Other Settings View Only
MSP Users Manager View Only
MSP Export Data Access

getMspDstInfo ​

GET /openapi/v1/msp/{mspId}/dst-info

Get msp DST

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getMspDstInfo"
}

getGeneralSetting ​

GET /openapi/v1/msp/{mspId}/general-setting

Get msp general setting

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getGeneralSetting"
}
Details, permissions and error codes

Get msp general setting
The interface requires one of the permissions:
MSP Other Settings View Only

modifyGeneralSetting ​

PATCH /openapi/v1/msp/{mspId}/general-setting

Modify msp general setting

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema ModifyMspGeneralSettingOpenApiVO

FieldTypeRequiredDescription
namestringnoParameter [name] should be within the range of 1–36 visible ASCII characters.
timeZonestringnoFor the values of timeZone, refer to section 5.1 of the Open API Access Guide.
dstModifyDstDTOno(ModifyDstDTO not expanded; call omada_get_schema "ModifyDstDTO")
json
// omada_call_operation
{
  "operationId": "modifyGeneralSetting",
  "body": "{...}"
}
Details, permissions and error codes

Modify msp general setting
The interface requires one of the permissions:
MSP Other Settings Modify

disableMspControllerUpgradeNotification ​

POST /openapi/v1/msp/{mspId}/notification/disable

Turn off the software update push switch in MSP mode

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "disableMspControllerUpgradeNotification"
}
Details, permissions and error codes

Turn off the software update push switch in MSP mode.
The interface requires one of the permissions:
MSP Other Settings Modify

getPrivacyPolicyMsp ​

GET /openapi/v1/msp/{mspId}/privacy-policy

Get msp privacy policy

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getPrivacyPolicyMsp"
}
Details, permissions and error codes

Get msp privacy policy
The interface requires one of the permissions:
MSP Other Settings View Only

getRemoteLoggingSetting_1 ​

GET /openapi/v1/msp/{mspId}/remote-logging

Get msp remote logging setting

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getRemoteLoggingSetting_1"
}
Details, permissions and error codes

Get msp remote logging setting
The interface requires one of the permissions:
MSP Other Settings View Only

modifyRemoteLoggingSetting ​

PATCH /openapi/v1/msp/{mspId}/remote-logging

Modify msp remote logging setting

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema ModifyMspRemoteLoggingSettingOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesWhether to enable the feature.
hoststringnoThe IP address of the remote log server.
portintegernoPort of the remote log server, port should be within the range of 1-65535.
json
// omada_call_operation
{
  "operationId": "modifyRemoteLoggingSetting",
  "body": "{...}"
}
Details, permissions and error codes

Modify msp remote logging setting
The interface requires one of the permissions:
MSP Other Settings Modify

getMspMailServer ​

GET /openapi/v1/msp/{mspId}/settings/mail-server

Get MSP mail server

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getMspMailServer"
}

modifyMspMailServer ​

PATCH /openapi/v1/msp/{mspId}/settings/mail-server

Modify MSP mail server

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema ModifyMailServerOpenApiVO

FieldTypeRequiredDescription
smtpEnablebooleannoEnable SMTP mail server
smtpServerstringyesThe domain name of the SMTP mailbox server.
portintegeryesThe port of the SMTP mailbox server,xxxx should be within the range of 1-65535
sslEnablebooleanyesWhether the SMTP mailbox server uses SSL encryption.
authEnablebooleanyesWhether the SMTP email server uses basic authentication.
usernamestringnoThe user's email address used for authentication.
passwordstringnoThe user's email password used for authentication.
senderAddressstringnoThe email address from which the message was sent.
receiverstringnoThe email address where the message will be received.
json
// omada_call_operation
{
  "operationId": "modifyMspMailServer",
  "body": "{...}"
}
Details, permissions and error codes

Modify MSP mail server.
The interface requires one of the permissions:
MSP Other Settings Modify

sendTestMailForMspV2 ​

POST /openapi/v1/msp/{mspId}/settings/test-mail

Send test mail for MSP

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema SendMailServerOpenApiVO

FieldTypeRequiredDescription
smtpEnablebooleannoEnable SMTP mail server
smtpServerstringyesThe domain name of the SMTP mailbox server.
portintegeryesThe port of the SMTP mailbox server,xxxx should be within the range of 1-65535
sslEnablebooleanyesWhether the SMTP mailbox server uses SSL encryption.
authEnablebooleanyesWhether the SMTP email server uses basic authentication.
usernamestringnoThe user's email address used for authentication.
passwordstringnoThe user's email password used for authentication.
senderAddressstringnoThe email address from which the message was sent.
receiverstringnoThe email address where the message will be received.
json
// omada_call_operation
{
  "operationId": "sendTestMailForMspV2",
  "body": "{...}"
}
Details, permissions and error codes

Send test mail for MSP
The interface requires one of the permissions:
MSP Other Settings Modify

getMspUserInterface ​

GET /openapi/v1/msp/{mspId}/settings/user-interface

Get msp user interface

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getMspUserInterface"
}
Details, permissions and error codes

Get msp user interface
The interface requires one of the permissions:
MSP Other Settings View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.

modifyMspUserInterface ​

PATCH /openapi/v1/msp/{mspId}/settings/user-interface

Modify msp user interface

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema MspUserInterfaceOpenApiVO

FieldTypeRequiredDescription
refreshRateintegeryesIt should be a value as follows: 0: 15 seconds; 1: 1 minute; 2: 2 minutes; 3: 5 minutes; 4: never refresh
privateLabelingEnablebooleannoEnable private label. This field applies to the Omada Pro Controller only.
privateLabelingUrlstringnoThe url of private label. This field applies to the Omada Pro Controller only.
privateLabelingFileIdstringnoThe file id of private label picture. This field applies to the Omada Pro Controller only.
privateLabelingFileNamestringnoThe file name of private label picture. This field applies to the Omada Pro Controller only.
json
// omada_call_operation
{
  "operationId": "modifyMspUserInterface",
  "body": "{...}"
}
Details, permissions and error codes

Modify msp user interface
The interface requires one of the permissions:
MSP Other Settings Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.

uploadCertificate ​

POST /openapi/v1/msp/{mspId}/system/setting/certificate

Upload msp certificate

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
cerNamequerystringyesUpload certificate file name

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yesUpload certificate file
json
// omada_call_operation
{
  "operationId": "uploadCertificate",
  "params": {
    "cerName": "<cerName>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload msp certificate. Only support .pem, .pfx, .jks files. Certificate name should be the same as the file name.
The interface requires one of the permissions:
MSP Other Settings Modify

deleteCertificate ​

DELETE /openapi/v1/msp/{mspId}/system/setting/certificate/{cerId}

Delete an existing msp certificate

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
cerIdpathstringyesCertificate ID
json
// omada_call_operation
{
  "operationId": "deleteCertificate",
  "params": {
    "cerId": "<cerId>"
  }
}
Details, permissions and error codes

Delete an existing msp certificate.

uploadSSLKey ​

POST /openapi/v1/msp/{mspId}/system/setting/ssl-key

Upload msp SSL key

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
keyNamequerystringyesSSL Key Name

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yes
json
// omada_call_operation
{
  "operationId": "uploadSSLKey",
  "params": {
    "keyName": "<keyName>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload msp SSL key. Only support .pem files.
The interface requires one of the permissions:
MSP Other Settings Modify

deleteSSLKey ​

DELETE /openapi/v1/msp/{mspId}/system/setting/ssl-key/{keyId}

Delete an existing msp SSL key

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
keyIdpathstringyesSSL Key ID
json
// omada_call_operation
{
  "operationId": "deleteSSLKey",
  "params": {
    "keyId": "<keyId>"
  }
}
Details, permissions and error codes

Delete an existing msp SSL key.
The interface requires one of the permissions:
MSP Other Settings Modify

getUiInterface_1 ​

GET /openapi/v1/msp/{mspId}/ui-interface

Deprecated

This operation is deprecated.

Get msp ui interface

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getUiInterface_1"
}
Details, permissions and error codes

Get msp ui interface. This interface has been deprecated. Please use the following interface instead: Get msp user interface.
The interface requires one of the permissions:
MSP Other Settings View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.

modifyUiInterface_1 ​

PATCH /openapi/v1/msp/{mspId}/ui-interface

Deprecated

This operation is deprecated.

Modify msp ui interface

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema MspUiInterfaceOpenApiVO

FieldTypeRequiredDescription
languageintegernoIt should be a value as follows: 1: English; 4: German; 7: French; 8: Spanish; 10: Italian; 12: Portuguese; 13: Russian; 15: Turkish; 17: Japanese; 18: Traditional Chinese; 21: Korean
use24hourbooleanyes
fixedMenubooleanyes
themeintegernoIt should be a value as follows: 0: default; 1: dark
showPDevicesbooleannoShow pending devices
refreshBtnEnablebooleanyesEnable refresh button
refreshRateintegeryesIt should be a value as follows: 0: 15 seconds; 1: 1 minute; 2: 2 minutes; 3: 5 minutes; 4: never refresh
websocketEnablebooleanyesEnable websocket connection
controllerNotificationbooleannoEnable controller upgrade notification
privateLabelingEnablebooleannoEnable private label
privateLabelingUrlstringnoThe url of private label
privateLabelingFileIdstringnoThe file id of private label picture
privateLabelingFileNamestringnoThe file name of private label picture
json
// omada_call_operation
{
  "operationId": "modifyUiInterface_1",
  "body": "{...}"
}
Details, permissions and error codes

Modify msp ui interface. This interface has been deprecated. Please use the following interface instead: Modify msp user interface.
The interface requires one of the permissions:
MSP Other Settings Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.

evaluateMspFeedback ​

POST /openapi/v1/msp/{mspId}/users/feedback/evaluates

Evaluate MSP feedback

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema FeedbackOpenApiVO

FieldTypeRequiredDescription
levelintegeryesThe rating of the controller service is in the range of 1~5.
contentstringyesFeedback and evaluation of the controller service.
json
// omada_call_operation
{
  "operationId": "evaluateMspFeedback",
  "body": "{...}"
}

Released under the MIT License. Not affiliated with or endorsed by TP-Link.